#ifndef TGNGDATAELEMENT_H
#define TGNGDATAELEMENT_H

/*
FernUniversität in Hagen, Lehrgebiet Mensch-Computer-Interaktion
License: Creative Commons Attribution-Noncommercial-Share Alike 4.0 International, 
         see README file that comes with this work
Author: J. Kerdels

The use of this code for military and/or intelligence purposes is disapproved of.

This file contains the interface of the basic input data element to the gng.

*/

#include <vector>
#include <TObject.h>
#include <TVirtualPad.h>

class TGNGDataElement : public TObject 
{
	ClassDef(TGNGDataElement,1);

public:

	TGNGDataElement();

	// should return new data element that is an interpolation between this and other by ratio
	virtual TGNGDataElement* Interpolate(const TGNGDataElement *other, Double_t ratio);

	// should adapt the data element towards the other element with given factor
	virtual void Adapt(const TGNGDataElement *other, Double_t factor);

	// allows the data element to visualize itself
	virtual void PaintElement(TVirtualPad *pad, Double_t xlow, Double_t ylow, Double_t xup, Double_t yup, std::vector<Color_t> *colors);

	virtual void Randomize();

};



#endif


