#ifndef TGNGDISTANCEMEASURE_H
#define TGNGDISTANCEMEASURE_H

/*
FernUniversität in Hagen, Lehrgebiet Mensch-Computer-Interaktion
License: Creative Commons Attribution-Noncommercial-Share Alike 4.0 International, 
         see README file that comes with this work
Author: J. Kerdels

The use of this code for military and/or intelligence purposes is disapproved of.

This file contains the interface that must be implemented by all distance
measures that are used with the GNG.

*/

#include <TObject.h>

#include "TGNGDataElement.h"

class TGNG;

class TGNGDistanceMeasure : public TObject 
{
	ClassDef(TGNGDistanceMeasure,1);

public:

	TGNGDistanceMeasure();

	
	virtual Double_t GetDistance(const TGNGDataElement *a, 
		                         const TGNGDataElement *b, TGNG *gng);
	
	// may not return the correct distance but still adheres to the
	// triangle inequality.
	virtual Double_t GetApproxDistance(const TGNGDataElement *a, 
		                               const TGNGDataElement *b, TGNG *gng);

	// used to test if measure is compatible to the used data elements
	virtual Bool_t IsCompatible(const TGNGDataElement *a, TGNG *gng);

};



#endif


