#ifndef TGNGEDGE_H
#define TGNGEDGE_H

/*
FernUniversität in Hagen, Lehrgebiet Mensch-Computer-Interaktion
License: Creative Commons Attribution-Noncommercial-Share Alike 4.0 International, 
         see README file that comes with this work
Author: J. Kerdels

The use of this code for military and/or intelligence purposes is disapproved of.

This file contains the declaration of a GNG edge. Each edge has an attribute map
which allows the attachement of arbitrary attributes to the edges of a GNG, 
e.g., by GNG extensions. The attribute map is "owner" of the added attributes,
i.e., the memory of all added attributes is managed by the edge.
*/

#include <TObject.h>
#include <TMap.h>

class TGNGUnit;

class TGNGEdge : public TObject 
{
	ClassDef(TGNGEdge,2);

	// v2: changed fAge from int to double

public:

	TGNGEdge();
	TGNGEdge(TGNGUnit *a, TGNGUnit *b);
	~TGNGEdge();

	TGNGUnit *fUnitA; //|| start of the edge
	TGNGUnit *fUnitB; //|| end of the edge

	Double_t fAge;  // age of the edge

	TMap fAttributes; //|| custom attributes to this edge (map is owner)

};



#endif

