#ifndef TGNGUNIT_H
#define TGNGUNIT_H

/*
FernUniversität in Hagen, Lehrgebiet Mensch-Computer-Interaktion
License: Creative Commons Attribution-Noncommercial-Share Alike 4.0 International, 
         see README file that comes with this work
Author: J. Kerdels

The use of this code for military and/or intelligence purposes is disapproved of.

This file contains the declaration of the basic GNG unit used by the TGNG class.
*/


#include <TObject.h>
#include <TObjArray.h>
#include <TMap.h>

#include "TGNGEdge.h"
#include "TGNGDataElement.h"

class TGNGUnit : public TObject 
{
	ClassDef(TGNGUnit,3);

	// v3: added learning inhibition

public:

	TGNGUnit();
	TGNGUnit(TGNGDataElement *prototype, Int_t curIdx = -1);
	~TGNGUnit();

	Double_t fAccErr; // accumulated error 

	TGNGDataElement *fPrototype; //|| prototype a.k.a. reference vector

	TObjArray fEdges; // edges to other units

	TMap fAttributes; // custom attributes to this Unit (map is owner)

	Int_t fCurIdx; // current index in the fUnits-Array of TGNG

	Double_t fLearnInh; // learning inhibition
};



#endif
