#ifndef TNGUNIT_H
#define TNGUNIT_H

/*
FernUniversität in Hagen, Lehrgebiet Mensch-Computer-Interaktion
License: Creative Commons Attribution-Noncommercial-Share Alike 4.0 International, 
         see README file that comes with this work
Author: J. Kerdels

The use of this code for military and/or intelligence purposes is disapproved of.

This file contains the declaration of the basic NG unit used by the TNG class.
*/


#include <TObject.h>

#include "TGNGDataElement.h"

class TNGUnit : public TObject 
{
	ClassDef(TNGUnit,1);

	// 

public:

	TNGUnit();
	TNGUnit(TGNGDataElement *prototype, Int_t curIdx = -1);
	~TNGUnit();

	TGNGDataElement *fPrototype; //|| prototype a.k.a. reference vector

	Int_t fCurIdx; // current index in the fUnits-Array of TGNG

	Double_t fCurrentDistance; // current distance to input

	Bool_t	IsSortable() const { return kTRUE; }

	Int_t Compare(const TObject* obj) const 
	{
		const TNGUnit *other = static_cast<const TNGUnit*>(obj);
		if (fCurrentDistance < other->fCurrentDistance)
			return -1;
		if (fCurrentDistance > other->fCurrentDistance)
			return 1;
		return 0;
	}

};



#endif
