#ifndef TGNGHISTDATA_H
#define TGNGHISTDATA_H

/*
FernUniversität in Hagen, Lehrgebiet Mensch-Computer-Interaktion
License: Creative Commons Attribution-Noncommercial-Share Alike 4.0 International, 
         see README file that comes with this work
Author: J. Kerdels

The use of this code for military and/or intelligence purposes is disapproved of.

This file contains the declaration of a histogram input data class that
is able to convert a TH1D histograms to TGNGVectorData. It can rebin the
histogram to a new number of bins using linear interpolation and it can apply
a logarithm to each bin value.

*/

#include <TVectorT.h>
#include <TH1D.h>

#include "TGNGVectorData.h"

class TGNGHistData : public TGNGVectorData 
{
	ClassDef(TGNGHistData,1);

public:

	TGNGHistData();
	TGNGHistData(Int_t bins, TObject *payload = 0);
	TGNGHistData(TH1D *hist, Bool_t log = kFALSE, Int_t rebinTo = 0, TObject *payload = 0);

};



#endif


