#ifndef TGNGRECURSIVEDATA_H
#define TGNGRECURSIVEDATA_H

/*
FernUniversität in Hagen, Lehrgebiet Mensch-Computer-Interaktion
License: Creative Commons Attribution-Noncommercial-Share Alike 4.0 International, 
         see README file that comes with this work
Author: J. Kerdels

The use of this code for military and/or intelligence purposes is disapproved of.

This file contains the declaration of the TGNGRecursiveData class. This class 
represents a data type that itself is a TGNG. 
*/

#include <TObject.h>

#include "../core/TGNGDataElement.h"
#include "../core/TGNGDistanceMeasure.h"
#include "../core/TGNG.h"

class TGNGRecursiveData : public TGNGDataElement
{
	ClassDef(TGNGRecursiveData,2);

	// v2: copy extensions during interpolate

public:

	TGNGRecursiveData();
	TGNGRecursiveData(TGNGDataElement *prototypeA, TGNGDataElement *prototypeB, TGNGDistanceMeasure *distMeasure);
	~TGNGRecursiveData();

	// should return new data element that is an interpolation between this and other by ratio
	TGNGDataElement* Interpolate(const TGNGDataElement *other, Double_t ratio);

	// should adapt the data element towards the other element with given factor
	void Adapt(const TGNGDataElement *other, Double_t factor);


	TGNG fGNG; //|| recursive GNG used to represent this data vector

	void SetNbAttenuation(Double_t factor);
	Double_t GetNbAttenuation();

private:

	Double_t fNbAttenuation;

};



#endif


