#ifndef TGNGCOSINEDISTANCE_H
#define TGNGCOSINEDISTANCE_H

/*
FernUniversität in Hagen, Lehrgebiet Mensch-Computer-Interaktion
License: Creative Commons Attribution-Noncommercial-Share Alike 4.0 International, 
         see README file that comes with this work
Author: J. Kerdels

The use of this code for military and/or intelligence purposes is disapproved of.

This file contains the declaration of a cosine distance measure that can be
used with the gng.

*/

#include "../core/TGNGDistanceMeasure.h"
#include "../core/TGNGDataElement.h"

class TGNGCosineDistance : public TGNGDistanceMeasure 
{
	ClassDef(TGNGCosineDistance,1);

public:

	TGNGCosineDistance();
	
	Double_t GetDistance(const TGNGDataElement *a, const TGNGDataElement *b, TGNG *gng);
	
	Bool_t IsCompatible(const TGNGDataElement *a, TGNG *gng);

};



#endif


