#ifndef TGNGHCNODE_H
#define TGNGHCNODE_H

/*
FernUniversität in Hagen, Lehrgebiet Mensch-Computer-Interaktion
License: Creative Commons Attribution-Noncommercial-Share Alike 4.0 International, 
         see README file that comes with this work
Author: J. Kerdels

The use of this code for military and/or intelligence purposes is disapproved of.

This file contains the declaration of a hierarchical clustering node used by
TGNGHierarchicalClusterExt.
*/

#include <TObject.h>
#include <TObjArray.h>

class TGNGUnit;
class TGNGEdge;

class TGNGHcNode : public TObject
{
	ClassDef(TGNGHcNode,1);

public:
	TGNGHcNode();
	TGNGHcNode(TGNGUnit *leaf);
	TGNGHcNode(TGNGHcNode *childA, TGNGHcNode *childB);
	~TGNGHcNode();

	TObjArray fLeafList; //|| leafs of this tree

	TGNGHcNode *fParent; //|| parent node

	TGNGHcNode *fChildA; //|| child node a
	TGNGHcNode *fChildB; //|| child node a

	TGNGEdge *fLink; //|| the edge that connects the sub-clusters A and B

	Int_t fDepth; // depth of the node, root node has highest depth
};




#endif


