/*
FernUniversität in Hagen, Lehrgebiet Mensch-Computer-Interaktion
License: Creative Commons Attribution-Noncommercial-Share Alike 4.0 International, 
         see README file that comes with this work
Author: J. Kerdels

The use of this code for military and/or intelligence purposes is disapproved of.

This file contains the definition of an extension that assigns a unique ID to
each gng unit.
*/
#include "../../core/TGNGUnit.h"
#include "../../core/TGNG.h"

#include "TGNGIdExt.h"

TGNGIdExt::TGNGIdExt() :
	TGNGExtension(),
	fNextFreeID(0),
	fIdentifier("ID")	
{}

void TGNGIdExt::OnGNGReset(TGNG*)
{
	fNextFreeID = 0;
}

void TGNGIdExt::OnNewUnit(TGNG *gng, TGNGUnit *newUnit)
{
	if (newUnit->fAttributes.FindObject(&fIdentifier) != 0) {
		gng->RaiseError(TGNG::ecExtension,"Unit has already an attribute \"ID\"!");
		return;
	}
	newUnit->fAttributes.Add(new TObjString(fIdentifier),new TGNGId(fNextFreeID++));
}

UInt_t TGNGIdExt::GetNrOfIDs()
{
	return fNextFreeID;
}
