/*
FernUniversität in Hagen, Lehrgebiet Mensch-Computer-Interaktion
License: Creative Commons Attribution-Noncommercial-Share Alike 4.0 International, 
         see README file that comes with this work
Author: J. Kerdels

The use of this code for military and/or intelligence purposes is disapproved of.

This file contains the definition of an input log item used by the 
TGNGInputLogExt.
*/

#include "../../core/TGNGDataElement.h"

#include "TGNGInpLogItem.h"

TGNGInpLogItem::TGNGInpLogItem() : 
	TObject(),
	fDataElement(0),
	fDist(numeric_limits<Double_t>::max())
{}

TGNGInpLogItem::TGNGInpLogItem(TGNGDataElement *data, Double_t dist) : 
	TObject(),
	fDataElement(data),
	fDist(dist)
{}

TGNGInpLogItem::~TGNGInpLogItem()
{
	if (fDataElement)
		delete fDataElement;
}

Bool_t TGNGInpLogItem::IsSortable() const 
{ 
	return kTRUE;
}

Int_t TGNGInpLogItem::Compare(const TObject* obj) const
{
	const TGNGInpLogItem *other = static_cast<const TGNGInpLogItem*>(obj);
	return (fDist < other->fDist) ? -1 : ((fDist > other->fDist) ? 1 : 0);
}

