#ifndef TGNGINPLOGITEM_H
#define TGNGINPLOGITEM_H

/*
FernUniversität in Hagen, Lehrgebiet Mensch-Computer-Interaktion
License: Creative Commons Attribution-Noncommercial-Share Alike 4.0 International, 
         see README file that comes with this work
Author: J. Kerdels

The use of this code for military and/or intelligence purposes is disapproved of.

This file contains the declaration of an input log item used by the 
TGNGInputLogExt.
*/

#include <limits>

#include <TObject.h>

#include "../../core/TGNGDataElement.h"

class TGNGInpLogItem : public TObject
{
	ClassDef(TGNGInpLogItem,1);

public:
	TGNGInpLogItem();
	TGNGInpLogItem(TGNGDataElement *data, Double_t dist);
	~TGNGInpLogItem();

	TGNGDataElement *fDataElement; //|| input element

	Double_t fDist; // distance of the input element	

	Bool_t	IsSortable() const;

	Int_t Compare(const TObject* obj) const;
};




#endif


