/*
FernUniversität in Hagen, Lehrgebiet Mensch-Computer-Interaktion
License: Creative Commons Attribution-Noncommercial-Share Alike 4.0 International, 
         see README file that comes with this work
Author: J. Kerdels

The use of this code for military and/or intelligence purposes is disapproved of.

This file contains the definition of a simple logging extension that prints
gng-errors using printf.
*/
#include "../../core/TGNGEdge.h"
#include "../../core/TGNGUnit.h"
#include "../../core/TGNG.h"
#include "../../core/TGNGDataElement.h"

#include "TGNGLogExt.h"



TGNGLogExt::TGNGLogExt() : 
	TGNGExtension() 
{}

void TGNGLogExt::OnGNGInit(TGNG*)
{
	//printf("OnGNGInit\n");
}

void TGNGLogExt::OnGNGReset(TGNG*)
{
	//printf("OnGNGReset\n");
}

void TGNGLogExt::OnError(TGNG*, UInt_t, const char *errorMsg)
{
	printf("\n!!!! OnError: %s\n",errorMsg);
}

void TGNGLogExt::OnPeekResult(TGNG*, TGNGUnit*, Double_t, TGNGUnit*, Double_t, const TGNGDataElement*)
{
	//printf("OnPeekResult\n");
}
void TGNGLogExt::OnFeedResult(TGNG*, TGNGUnit*, Double_t, TGNGUnit*, Double_t, const TGNGDataElement*)
{
	//printf("OnFeedResult\n");
}

void TGNGLogExt::OnNewUnit(TGNG*, TGNGUnit*)
{
	//printf("\n!!!! OnNewUnit %d\n",gng->fUnits.GetEntriesFast());
}
void TGNGLogExt::OnUnitRemoval(TGNG*, TGNGUnit*)
{
	//printf("\n!!!! OnUnitRemoval\n");
}

void TGNGLogExt::OnNewEdge(TGNG*, TGNGEdge*)
{
	//printf("\n!!!! OnNewEdge\n");
}
void TGNGLogExt::OnEdgeRemoval(TGNG*, TGNGEdge*)
{
	//printf("\n!!!! OnEdgeRemoval\n");
}

void TGNGLogExt::OnUnitUpdate(TGNG*, TGNGUnit*, Double_t, TGNGUnit*, Double_t,
                  			  TGNGEdge*, const TGNGDataElement*)
{
	//printf("OnUnitUpdate\n");
}

void TGNGLogExt::OnLambda(TGNG*, ULong64_t)
{
	//printf("OnLambda\n");
}
