#ifndef TGNGLOGEXT_H
#define TGNGLOGEXT_H

/*
FernUniversität in Hagen, Lehrgebiet Mensch-Computer-Interaktion
License: Creative Commons Attribution-Noncommercial-Share Alike 4.0 International, 
         see README file that comes with this work
Author: J. Kerdels

The use of this code for military and/or intelligence purposes is disapproved of.

This file contains the declaration of a simple logging extension that prints
gng-errors using printf.
*/

#include "../../core/TGNGExtension.h"

class TGNGLogExt : public TGNGExtension
{
	ClassDef(TGNGLogExt,2);

	// v2: reflect changes of TGNGExtension

public:

	TGNGLogExt();

	void OnGNGInit(TGNG *gng);
	void OnGNGReset(TGNG *gng);

	void OnError(TGNG *gng, UInt_t errorCode, const char *errorMsg);

	void OnPeekResult(TGNG *gng, TGNGUnit *bmu, Double_t bmuDist,
					  TGNGUnit *bmu2, Double_t bmu2Dist, const TGNGDataElement *input);
	void OnFeedResult(TGNG *gng, TGNGUnit *bmu, Double_t bmuDist,
					  TGNGUnit *bmu2, Double_t bmu2Dist, const TGNGDataElement *input);

	void OnNewUnit(TGNG *gng, TGNGUnit *newUnit);
	void OnUnitRemoval(TGNG *gng, TGNGUnit *oldUnit);

	void OnNewEdge(TGNG *gng, TGNGEdge *newEdge);
	void OnEdgeRemoval(TGNG *gng, TGNGEdge *newEdge);

	void OnUnitUpdate(TGNG                  *gng, 
	                  TGNGUnit              *bmu,
	                  Double_t               bmuDist,
	                  TGNGUnit              *bmu2,
	                  Double_t               bmu2Dist,
	                  TGNGEdge              *bmuEdge,
	                  const TGNGDataElement *input    );

	void OnLambda(TGNG *gng, ULong64_t inputCnt);
};



#endif


