#ifndef TGNGRECLOGEXT_H
#define TGNGRECLOGEXT_H

/*
FernUniversität in Hagen, Lehrgebiet Mensch-Computer-Interaktion
License: Creative Commons Attribution-Noncommercial-Share Alike 4.0 International, 
         see README file that comes with this work
Author: J. Kerdels

The use of this code for military and/or intelligence purposes is disapproved of.

This file contains the declaration of a logging extension that stores the 
attributes of GNGs that are the prototypes of the current gng.
*/

#include <TMap.h>

#include "../../core/TGNGExtension.h"

class TGNGRecLogExt : public TGNGExtension
{
	ClassDef(TGNGRecLogExt,1);

public:

	TGNGRecLogExt();
	explicit TGNGRecLogExt(TFile *logfile);
	~TGNGRecLogExt();

	void OnGNGReset(TGNG *gng);
	void OnPeekResult(TGNG *gng, TGNGUnit *bmu,  Double_t bmuDist, 
		                         TGNGUnit *bmu2, Double_t bmu2Dist, const TGNGDataElement *input);
	void OnFeedResult(TGNG *gng, TGNGUnit *bmu,  Double_t bmuDist, 
		                         TGNGUnit *bmu2, Double_t bmu2Dist, const TGNGDataElement *input);


private:

	void LogAttributes(TGNG *gng);

	TFile *fLogFile;     //! current log file
	TTree *fAttribTree;  //! current attribute log tree

	TTree *fActivityTree; //! current activity log tree

	ULong64_t  fInpCnt;     //! storage for current gng input cnt
	Int_t      fUnitIdx;    //! storage for a unit idx
	TMap      *fAttributes; //! reference to attribute storage
	Double_t   fRatio;      //! storage for current activity ratio
	Double_t   fDist1;      //! storage for current activity distance d1
	Double_t   fDist2;      //! storage for current activity distance d2

	TObjString fActId; // contains the string "ACTIVITY"

};


#endif


