#ifndef TGNGVISEDGE_H
#define TGNGVISEDGE_H

/*
FernUniversität in Hagen, Lehrgebiet Mensch-Computer-Interaktion
License: Creative Commons Attribution-Noncommercial-Share Alike 4.0 International, 
         see README file that comes with this work
Author: J. Kerdels

The use of this code for military and/or intelligence purposes is disapproved of.

This file contains the declaration of the TGNGVisEdge class. It stores 
edge-information used by the TGNGFruReVis visualization.
*/

#include <TObject.h>
#include <TMap.h>

class TGNGVisEdge : public TObject 
{
	ClassDef(TGNGVisEdge,1);

public:

	TGNGVisEdge();
	TGNGVisEdge(Double_t strength, Double_t x1, Double_t y1, Double_t x2, Double_t y2);

	Double_t fStrength; //strength of the edge
	Double_t fX1;       //x-position of starting point
	Double_t fY1;       //y-position of starting point
	Double_t fX2;       //x-position of end point
	Double_t fY2;       //y-position of end point

	Int_t fFlag;        //state variable used by visualization routine

	Bool_t	IsEqual(const TObject* obj) const;

	Bool_t	IsSortable() const;

	Int_t Compare(const TObject* obj) const;

};



#endif

