#ifndef EMD_H
#define EMD_H
/*
FernUniversität in Hagen, Lehrgebiet Mensch-Computer-Interaktion
License: Creative Commons Attribution-Noncommercial-Share Alike 4.0 International, 
         see README file that comes with this work
Author: J. Kerdels

The use of this code for military and/or intelligence purposes is disapproved of.

This file contains the declaration of an approximate earth movers distance.

*/


#include <Rtypes.h>
#include <TMatrixD.h>
#include <TVectorT.h>

class EMD
{
	public:

		static Double_t ApproxEMD(Double_t *a, Double_t *b, UInt_t *dimensions, Bool_t normalize);

		static Double_t ApproxEMD(TMatrixD *a, TMatrixD *b, Bool_t normalize = kTRUE);

		static Double_t ApproxEMD(TVectorD *a, TVectorD *b, Bool_t normalize = kTRUE);

	private:

		static const UInt_t Mod37BitPosition[];

};


#endif
